/*
Theme Name: Twenty Twenty-Five Child
Description: Child theme for Twenty Twenty-Five
Author: Greg Meisenberg
Template: twentytwentyfive
Version: 1.2.36
*/

:root {
	--lv-animation-duration: 3s;
	--lv-header-height: 64px;
	--lv-admin-header-height: 0px;
}
@media screen and (min-width: 601px) and (max-width: 782px) {
	:root {
		--lv-admin-header-height: 46px;
	}	
}
@media screen and (min-width: 783px) {
	:root {
		--lv-admin-header-height: 32px;
	}	
}

html {
	scroll-behavior: smooth;
	scroll-padding-top: var(--lv-header-height);
}
@media screen and (prefers-reduced-motion: reduce) {
	html {
		scroll-behavior: auto;
	}
}

a:focus, button:focus {
	outline: none;
}

@media screen and (max-width: 799px) {
	header .nav-primary {
		display: none;
	}
}
@media screen and (min-width: 800px) {
	header .nav-overlay {
		display: none;
	}
}

@media screen and (max-width: 429px) {
	.wp-block-social-links {
		font-size: 20px !important;
	}
}
.wp-block-social-links .apple-music svg {
	opacity: 0;
}
.wp-block-social-links .apple-music .wp-block-social-link-anchor {
	width: 1em;
	height: 1em;
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23FFF' viewBox='16 16 32 32'%3E%3Cpath d='M41.784,28.836c0,3.5,0.002,7-0.002,10.499c0,0.767-0.105,1.519-0.446,2.217c-0.53,1.086-1.399,1.768-2.55,2.095c-0.642,0.183-1.297,0.288-1.965,0.318c-1.749,0.083-3.261-1.103-3.574-2.823c-0.26-1.419,0.419-2.984,1.91-3.715c0.595-0.294,1.23-0.458,1.871-0.596c0.695-0.15,1.393-0.282,2.084-0.441c0.504-0.116,0.84-0.424,0.939-0.948c0.023-0.116,0.033-0.236,0.033-0.355c0.002-3.336,0.002-6.67-0.002-10.005c0-0.114-0.019-0.23-0.047-0.34c-0.072-0.277-0.274-0.446-0.559-0.43c-0.294,0.017-0.584,0.064-0.873,0.122c-1.397,0.275-2.793,0.559-4.189,0.84c-1.425,0.286-2.851,0.576-4.278,0.864c-0.842,0.171-1.684,0.34-2.525,0.51c-0.03,0.006-0.059,0.016-0.088,0.023c-0.509,0.141-0.693,0.374-0.717,0.9c-0.003,0.08-0.002,0.16-0.002,0.241c-0.002,4.782,0,9.565-0.003,14.345c0,0.773-0.086,1.537-0.396,2.255c-0.512,1.18-1.416,1.914-2.636,2.269c-0.645,0.186-1.307,0.293-1.976,0.316c-1.762,0.066-3.225-1.105-3.527-2.838c-0.261-1.494,0.422-3.098,2.119-3.816c0.656-0.275,1.344-0.427,2.036-0.571c0.527-0.111,1.056-0.211,1.582-0.324c0.703-0.153,1.07-0.595,1.1-1.313c0.003-0.094,0.002-0.183,0.002-0.277c0-5.44,0-10.882,0.003-16.323c0-0.227,0.023-0.46,0.077-0.681c0.128-0.524,0.502-0.823,1.003-0.953c0.469-0.122,0.947-0.207,1.422-0.304c1.347-0.272,2.694-0.543,4.042-0.814c1.393-0.282,2.784-0.562,4.176-0.843c1.23-0.249,2.46-0.501,3.693-0.743c0.404-0.08,0.814-0.161,1.22-0.194c0.57-0.045,0.961,0.313,1.019,0.886c0.014,0.136,0.022,0.274,0.022,0.412C41.786,21.814,41.786,25.325,41.784,28.836L41.784,28.836z'%3E%3C/path%3E%3C/svg%3E");
	background-repeat: none;
}

a.play-button {
	position: relative;
}
a.play-button:before,
a.play-button:after {
	content: '';
    position: absolute;
    top: 50%;
    left: 50%;
	translate: -50% -50%;
}
a.play-button:before {
	content: "";
	display: block;
	width: 0;
	height: 0;
	border-style: solid;
	border-width: 21px 0 21px 35px;
	border-color: transparent transparent transparent #FFF;
	margin-left: 7px;
}
a.play-button:after {
    width: 90px;
    height: 90px;
    border: 5px solid #FFF;
    border-radius: 50%;
}

:where(.wp-site-blocks) > * {
	margin-block-start: 0;
}

.wp-site-blocks > header {
	width: 100vw;
	height: var(--lv-header-height);
	position: fixed;
	top: 0;
	left: 0;
    z-index: 2;
	background: rgb(from var(--wp--preset--color--base) r g b / 0.90);
}
.admin-bar .wp-site-blocks > header {
	top: var(--lv-admin-header-height);
}
@media screen and (orientation: landscape) and (min-width: 1024px), (min-width: 1025px) {
	.wp-site-blocks > header {
		background: none;
		mix-blend-mode: difference;
	}
	.wp-site-blocks > header .header-container {
		justify-content: end;
	}
}

@keyframes fromTop {
	  0% { opacity: 0; top: -30px; }
	100% { opacity: 1; top: 0; }
}
@keyframes toBottom {
	  0% { opacity: 0; bottom: 10vh; }
	100% { opacity: 1; bottom: 0; }
}
@keyframes fromLeft {
	  0% { opacity: 0; left: -5vw; }
	100% { opacity: 1; left: 0; }
}
@keyframes fromRight {
	  0% { opacity: 0; right: 0; }
	100% { opacity: 1; right: 5vw; }
}

.wp-block-cover {
	max-width: 100vw;
	min-height: 100svh !important;
}
.wp-block-cover__inner-container {
	height: 100%;
}
.cover-group {
	position: relative;
	opacity: 0;
	animation: fromTop var(--lv-animation-duration) calc(var(--lv-animation-duration) / 6) forwards;
}
.cover-group:first-child {
	height: 55vh;
	height: 55svh;
	scale: 1.5;
	translate: 0 -10vh;
}
.cover-group:last-child {
	animation-name: toBottom;
}
.cover-group:last-child img {
	max-height: 25vh;
	object-fit: contain !important;
}
@media screen and (min-width: 600px) {
	.cover-group:first-child {
		translate: 0 -25vh;
	}
}
@media screen and (orientation: landscape) and (min-width: 1024px), (min-width: 1025px) {
	.wp-block-cover {
		min-height: unset !important;
		height: 56.25vw;
		overflow: unset;
	}
	.cover-group {
		position: absolute;
		top: 0;
	}
	.cover-group:first-child {
		min-width: 100vw;
		height: 100%;
		scale: 1;
		translate: -28vw 0;
		animation-name: fromLeft;
	}
	.cover-group:first-child figure {
		position: relative;
		display: block;
		width: 100%;
		height: 100%;
	}
	.cover-group:first-child figure img {
		position: absolute;
		width: 100%;
		height: 118%;
		right: 0;
		bottom: 3%;
		object-fit: contain;
	}
	.cover-group:last-child {
		max-width: unset;
		width: 40vw;
		height: 100%;
		display: grid;
		place-content: center;
		animation-name: fromRight;
	}
	.cover-group:last-child img {
		max-height: unset;
	}
}